package com.srs.comprehensive.service;

import com.srs.common.core.domain.AjaxResult;
import com.srs.comprehensive.domain.SrsStuYear;
import com.srs.comprehensive.domain.SrsStuYearS;

import java.util.List;


/**
 * 【学年表】Service接口
 *
 * @author srs
 * @date 2023-06-28
 */
public interface ISrsStuYearService
{


    public AjaxResult listAllYear();
    public AjaxResult listQiyongYear();

    public List<SrsStuYear> listEnableYear();

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public SrsStuYear selectSrsStuYearById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param srsStuYear 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<SrsStuYear> selectSrsStuYearList(SrsStuYear srsStuYear);

    List<SrsStuYear> selectSrsStuYearLists();

    /**
     * 新增【请填写功能名称】
     *
     * @param srsStuYear 【请填写功能名称】
     * @return 结果
     */
    public int insertSrsStuYear(SrsStuYear srsStuYear);

    /**
     * 修改【请填写功能名称】
     *
     * @param srsStuYear 【请填写功能名称】
     * @return 结果
     */
    public int updateSrsStuYear(SrsStuYear srsStuYear);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteSrsStuYearByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteSrsStuYearById(Long id);

    //中间表数据导入
    List<String> addStuYear();

    /**
     * 为学年分配标签
     * @param tag
     * @param yearId
     * @return
     */
    AjaxResult assignTagToYear(String tag, Long yearId);

    /**
     * 根据标签查询学年
     * @param tag
     * @return
     */
    List<SrsStuYear> getYearsByTag(String tag);

    /**
     * 删除标签
     * @param tags
     * @param yearId
     * @return
     */
    /*AjaxResult removeTagFromYear(List<String> tags, Long yearId);*/
}
